> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update Organization Secure Vault Folder

PATCH https://api.letsdeel.com/rest/organizations/secure-vault/folders/{folder_id}
Content-Type: application/json

Renames an Organization Secure Vault folder and updates its description. The system-managed "Other Files" folder cannot be modified.

 **Token scopes**: `organizations:write`

Reference: https://developer.deel.com/api/reference/endpoints/documents/update-organization-secure-vault-folder-v-2026-08-05

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `folder_id` (string, required) — Public UUID of the folder.

### Body (application/json)

This endpoint expects an object.

- `data` (OrganizationsSecureVaultFoldersFolderIdPatchRequestBodyContentApplicationJsonSchemaData, required) — Fields to update on the folder.

## Response

### 204

Folder updated successfully.

## Errors

### 400 Bad Request Error

Bad request — invalid or missing parameters.

- `errors` (list of OrganizationsSecureVaultFoldersFolderIdPatchResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors that occurred while processing the request.

### 401 Unauthorized Error

Unauthorized — missing or invalid authentication token.

- `errors` (list of OrganizationsSecureVaultFoldersFolderIdPatchResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors that occurred while processing the request.

### 403 Forbidden Error

Forbidden — the token lacks access to this resource.

- `errors` (list of OrganizationsSecureVaultFoldersFolderIdPatchResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors that occurred while processing the request.

### 404 Not Found Error

Not found.

- `errors` (list of OrganizationsSecureVaultFoldersFolderIdPatchResponsesContentApplicationJsonSchemaErrorsItems, required) — List of errors that occurred while processing the request.

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### OrganizationsSecureVaultFoldersFolderIdPatchRequestBodyContentApplicationJsonSchemaData

Fields to update on the folder.

- `name` (string, required) — New folder name.
- `description` (string, optional, nullable) — New folder description.

### OrganizationsSecureVaultFoldersFolderIdPatchResponsesContentApplicationJsonSchemaErrorsItems

- `message` (string, required) — Human-readable explanation
- `code` (string, optional) — Machine-readable error code
- `field` (string, optional, nullable) — Field that caused the error, if applicable.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "name": "Signed Contracts"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1"

payload = { "data": { "name": "Signed Contracts" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"name":"Signed Contracts"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1"

	payload := strings.NewReader("{\n  \"data\": {\n    \"name\": \"Signed Contracts\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"name\": \"Signed Contracts\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"name\": \"Signed Contracts\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1', [
  'body' => '{
  "data": {
    "name": "Signed Contracts"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"name\": \"Signed Contracts\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["name": "Signed Contracts"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/organizations/secure-vault/folders/c106a26a-21bb-5538-8bf2-57095d1976c1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```